%define upstream_name    CQL-Parser
%define upstream_version 1.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    compiles CQL strings into parse trees of Node subtypes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor) >= 0.100.0
BuildRequires: perl(Clone) >= 0.150.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Module::Install)
BuildRequires: perl(String::Tokenizer) >= 0.50.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
CQL::Parser provides a mechanism to parse Common Query Language (CQL)
statements. The best description of CQL comes from the CQL homepage at
the Library of Congress <https://www.loc.gov/standards/sru/cql/>

CQL is a formal language for representing queries to information
retrieval systems such as web indexes, bibliographic catalogs and museum
collection information. The CQL design objective is that queries be
human readable and human writable, and that the language be intuitive
while maintaining the expressiveness of more complex languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/CQL


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.130.0-13.mga10
+ Revision: 2203429
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.130.0-12.mga9
+ Revision: 1808342
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.130.0-11.mga8
+ Revision: 1503498
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.130.0-10.mga7
+ Revision: 1281881
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.130.0-9.mga7
+ Revision: 1163591
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.130.0-8.mga7
+ Revision: 1158940
- add BR on perl(inc::Module::Install)
+ guillomovitch <guillomovitch>
- fix build dependencies

* Sat Jun 18 2016 pterjan <pterjan> 1.130.0-5.mga6
+ Revision: 1024501
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 1.130.0-4.mga6
+ Revision: 928855
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-3.mga5
+ Revision: 738991
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-2.mga5
+ Revision: 683708
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.130.0-1.mga5
+ Revision: 588232
- update to 1.13

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 509436
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 363716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.120.0-1.mga3
+ Revision: 315801
- update to 1.12

* Thu Jan 20 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 25894
- mageia rebuild
- imported package perl-CQL-Parser

